### Enumeration

# Gimp ChannelType

#### Declaration

    enum Gimp.ChannelType

#### Description [src]

Channels (as in color components).

#### Members

`GIMP_CHANNEL_RED`

  Red.

  - Value: `0`
  - Available since: 3.0
`GIMP_CHANNEL_GREEN`

  Green.

  - Value: `1`
  - Available since: 3.0
`GIMP_CHANNEL_BLUE`

  Blue.

  - Value: `2`
  - Available since: 3.0
`GIMP_CHANNEL_GRAY`

  Gray.

  - Value: `3`
  - Available since: 3.0
`GIMP_CHANNEL_INDEXED`

  Indexed.

  - Value: `4`
  - Available since: 3.0
`GIMP_CHANNEL_ALPHA`

  Alpha.

  - Value: `5`
  - Available since: 3.0